% Samples a distance matrix in the valid ranges for the squared distances
% between points.
%
% This is used to check the projection procedure via MonteCarlo sampling.
%
% Inputs:
%     P: The descripton of the problem
% Outputs:
%     D: The sampled squared distance matrix. This is not necessarily a
%        valid (squared) distance matrix, i.e., it does not fulfill the
%        triangular inequalities. It just have values in the valid ranges
%        for the squared distances.
%
function D=sampleProblem(P)
  T=tril(rand(P.n));
  R=T+T';
  D=P.L+P.V.*R.*(P.U-P.L);