% When projecting one point is removed (point 'n' is the same as point 1
% and, thus, it is redundant). 
% This function enlarges a projected problem, adding this redundant point.
%
% Inputs:
%     P: The problem without the missing point.
%     s: The split matrix.
%
% Outputs:
%     P: The problem with the point already added.
%     s: The updated split matrix.
%
function [P,s]=addMissingPoint(P,s)

  P.L=[P.L P.L(1:P.n,1) ; P.L(1,1:P.n) 0];
  P.U=[P.U P.U(1:P.n,1) ; P.U(1,1:P.n) 0];
  P.V=[P.V P.V(1:P.n,1) ; P.V(1,1:P.n) 0];
  s=[s zeros(P.n,1) ; zeros(1,P.n) 0];
  P.n=P.n+1;
