% Splits a box. 
% 
% We select a range and split it at its central point.
%
% Inputs:
%     P: The box to split.
%     s: Matrix indicating ranges that, when split, are likely to separate 
%        solutions in the two output boxes. If not given, the largest
%        ranges is used.
% Outputs:
%    P1: The first [sub-box.
%    P2: The second sub-box.
%
function [P1,P2]=splitBox(P,s)

  P1=P;
  P2=P;
  
  if P.maxSize
    a=P.U-P.L;
    v=max(max(a));
  else
    v=max(max(s));
    a=s;
    if v==0
      a=P.U-P.L;
      v=max(max(a));
    end
  end
  
  ndx=find(a==v);
  n=ndx(1);
  
  v=(P.U(n)+P.L(n))/2;
    
  [i,j]=ind2sub(size(P.L),n);
  
  P1.U(i,j)=v;
  P2.L(i,j)=v;
  
  P1.U(j,i)=v;
  P2.L(j,i)=v;
  
  