% Squares a range.
%
% Inputs: 
%     l: Lower limit of the range.
%     u: Upper limit of the range.
%
% Outputs:
%    mi: Minimum value for the squared range. Note that it can be 0 if 
%        [l,u] includes 0.
%    ma: Maximum  for the squared range.
%
function [mi,ma]=square(l,u)

  e=abs([l,u]);
  if l<0 && u>0
    mi=0;
  else
    system_dependent('setround',-Inf)
    mi=min(e)^2;
  end
  system_dependent('setround',Inf)
  ma=max(e)^2;
  system_dependent('setround','nearest')