% The 3RPR problem from data stored in a file.
%
% Inputs:
%
% Outputs:
%     P: The problem structure.
%
function P=P3RPR

  P=readProblem('examples/p3rpr.dat');
  
  P.sigma=0.01;
  P.rho=0.9;
  P.maxSize=true;
  
  P.dim=2;
  
  Z=zeros(P.n);
  Z1=Z;
  % Set this to +/-1 to select one of the solutions
  %Z1(2,4)=-1;
  %Z1(4,2)=-1;
  %Z1(2,5)=-1;
  %Z1(5,2)=-1;
  Z1(2,6)=-1;
  Z1(6,2)=-1;
  
  % All projections
  %P.proj={ [1 2] [1  3] [1 4] [1 5] [1 6] [2 3] [2 4] [2 5] [2 6] [3 4] [3 5] [3 6] [4 5] [4 6] [5 6] };
  %P.sg=  {   Z     Z1     Z     Z     Z     Z     Z     Z     Z     Z     Z     Z     Z     Z     Z   };
  
  % Projections only on known distances
  P.proj={ [1 2] [1  3] [1 4]  [2 3] [2 5] [3 6] [4 5] [4 6] [5 6] };
  P.sg=  {   Z     Z1     Z      Z     Z     Z     Z     Z     Z   };
  
  P.nProj=size(P.proj,2);