% Generates the 5-point problem used in the ICRA05 paper.
% This is a problem with two isolated solutions and a 1 dimensional
% solution set.
%
% Inputs:
%
% Outputs:
%     P: The problem structure.
%
function P=fiveICRA

  P=readProblem('examples/five_icra.dat');
  
  P.sigma=0.1;
  P.rho=0.9;
  P.maxSize=true;
  
  P.dim=2;
  
  Z=zeros(P.n);
  Z1=Z;
  % Set this to +/-1 to select one of the solutions
  Z1(1,5)=+1;
  Z1(1,5)=+1;
  
  P.proj={ [1 2] [1 3] [1 4] [1 5] [2  3] [2 4] [2 5] [3 4] [3 5] [4 5] };
  P.sg=  {   Z     Z     Z     Z     Z     Z     Z     Z     Z     Z   };
  
  % P.proj={ [2  3] [2 5] [1 2] };
  % P.sg=  {   Z1     Z     Z   };
  
  P.nProj=size(P.proj,2);
  