% Variant of fiveICRA with two solution. Here the linkage is almost
% singular: we get two solutions but we are very close to the situation
% where a one-dimensional solution set arises (see fiveICRA).
%
% Inputs:
%
% Outputs:
%     P: The problem structure.
%
function P=fiveICRATwo
  P=fiveICRA;
  
  P.sigma=0.01;
  P.rho=0.99;
  P.maxSize=true;
  
  P.L(1,2)=0.999;
  P.U(1,2)=0.999;
  
  P.L(2,1)=P.L(1,2);
  P.U(2,1)=P.U(1,2);
  
  Z=zeros(P.n);
  Z1=Z;
  % Set this to +/-1 to select one of the solutions
  Z1(1,5)=+1;
  Z1(1,5)=+1;
  
  % This is a hard problem: we use one additiona projection
  P.proj={[2  3]  [2 5]  [1 2]  [3 5] };  
  P.sg=  {  Z1      Z      Z      Z   };
  
  P.nProj=size(P.proj,2);
  
  [P,empty]=triangIneq(P);
  
  if empty
    error('inconsistent problem');
  end