% Generates the 4-point problem used in the ICRA05 paper.
% This is a problem with two isolated solutions.
%
% Inputs:
%
% Outputs:
%     P: The problem structure.
%
function P=fourICRA

  P=readProblem('examples/four_icra.dat');
  
  P.sigma=0.01;
  P.rho=0.9;
  P.maxSize=true;
  
  P.dim=2;
  
  P.proj={ [2 3] };
  
  Z=zeros(P.n);
  % Set this to +/-1 to select one of the solutions
   Z(1,4)=+1;
   Z(4,1)=+1;
  P.sg=  {   Z   };
  
  P.nProj=size(P.proj,2);
  