% The octahedral problem from data stored in a file.
%
% Inputs:
%
% Outputs:
%     P: The problem structure.
%
% One solution: d_1_6=0.63621
%               d_2_5=0.80486
%               d_3_4=0.59461
%
function P=octahedral

  P=readProblem('examples/octahedral.dat');
  
  P.sigma=0.001;
  P.rho=0.99;
  P.maxSize=true;
  
  s=0.75;
  P.L(1,6)=0.63621-s;
  P.U(1,6)=0.63621+s;
  P.L(6,1)=0.63621-s;
  P.U(6,1)=0.63621+s;
  
  P.L(2,5)=0.80486-s;
  P.U(2,5)=0.80486+s;
  P.L(5,2)=0.80486-s;
  P.U(5,2)=0.80486+s;
  
  P.L(3,4)=0.59461-s;
  P.U(3,4)=0.59461+s;
  P.L(4,3)=0.59461-s;
  P.U(4,3)=0.59461+s;
  
  P.dim=3;
  
  Z=zeros(P.n);
  %Z1=Z;
  % Set this to +/-1 to select one of the solutions
  %Z1(2,4)=-1;
  %Z1(4,2)=-1;
  %Z1(2,5)=-1;
  %Z1(5,2)=-1;
  %Z1(2,6)=-1;
  %Z1(6,2)=-1;
  
  %P.proj={ [1 2 1 3] [3 1 3 2]  };
  %P.sg=  {     Z         Z      };
  
  P.proj={};
  P.sg={};
  
  for i=1:P.n
    for j=i+1:P.n
      for k=1:P.n
        if k~=j
          for l=k+1:P.n
            if l~=j
              P.proj=[P.proj [i j k l]];
              P.sg=[P.sg Z];
            end
          end
        end
      end
    end
  end
  
  P.nProj=size(P.proj,2);
  